using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Result.Text = "";
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (FileUpload1.PostedFile.FileName.Length == 0 || FileUpload1.FileBytes.Length==0)
        {
            Result.Text = "Please select RTF or Text file before start converting!";
            return;
        }
        Result.Text = "Converting ...";

        SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();
        r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_401;
        r.ImageStyle.IncludeImageInHtml = false; //To save images inside HTML as binary data specify this property to 'true'

        r.ImageStyle.ImageFolder = Server.MapPath(""); 
        r.ImageStyle.ImageSubFolder = "images";
        r.ImageStyle.ImageFileName = "picture";       


        string html = "";
        string rtf = ByteToString(FileUpload1.FileBytes);

        html = r.ConvertString(rtf);        
        
        //show HTML
        if (html.Length>0)
        {
            Response.Buffer = true;
            Response.Clear();
            Response.ContentType = "text/html";
            Response.Write(html);
            Response.Flush();
            Response.End();
        }
        else
        {
            Result.Text = "Converting failed!";
        }
    }
    private string ByteToString(byte[] b)
    {
        System.Text.ASCIIEncoding encoding = new System.Text.ASCIIEncoding();
        return encoding.GetString(b);
    }

}
